unit uFrmSimpleParam;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, IniFiles, uSimpleParam;

type
  TFrmSimpleParamDemo = class(TForm)
    SetParam: TButton;
    edtSimpleParam: TEdit;
    chkSimpleParam: TCheckBox;
    btnGetParam: TButton;
    btnSaveParam: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure SetParamClick(Sender: TObject);
    procedure btnGetParamClick(Sender: TObject);
    procedure btnSaveParamClick(Sender: TObject);
  private
    FIniFile: TIniFile;
    FSimpleParam: TSimpelParam;
  public
  end;

var
  FrmSimpleParamDemo: TFrmSimpleParamDemo;

implementation

{$R *.dfm}

const
  csEditSimpleParam = 'EditSimpleParam';
  csCheckBoxParam = 'CheckBoxParam';

procedure TFrmSimpleParamDemo.btnGetParamClick(Sender: TObject);
var
  nSimpleParam: integer;
  bSimleParam: boolean;
  s: string;
  sBoolean: String;
begin

  nSimpleParam := FSimpleParam[csEditSimpleParam].AsInteger;
  bSimleParam := FSimpleParam[csCheckBoxParam].AsBoolean;

  if bSimleParam then
    sBoolean := 'True'
  else
    sBoolean := 'False';

  s := 'Edit:' + IntToStr(nSimpleParam) + '   CheckBox:' + sBoolean;

  ShowMessage(s);

end;

procedure TFrmSimpleParamDemo.btnSaveParamClick(Sender: TObject);
begin
  FSimpleParam.SaveParams;
end;

procedure TFrmSimpleParamDemo.FormCreate(Sender: TObject);
begin

  FIniFile := TIniFile.Create('.\SimpleParams.ini');
  FSimpleParam := TSimpelParam.Create;

  FSimpleParam.IniFile := FIniFile; // ָ IniFile

  // 󶨿ؼ,Ĭϲ
  FSimpleParam.Binding(edtSimpleParam, csEditSimpleParam).SetInteger(101);
  FSimpleParam.Binding(chkSimpleParam, csCheckBoxParam).SetBoolean(true);

  // ز
  FSimpleParam.LoadParams;

end;

procedure TFrmSimpleParamDemo.FormDestroy(Sender: TObject);
begin

  FSimpleParam.SaveParams; // 
  FSimpleParam.Free;
  FIniFile.Free;

end;

procedure TFrmSimpleParamDemo.SetParamClick(Sender: TObject);
begin
  FSimpleParam[csEditSimpleParam].SetInteger(105);
  FSimpleParam[csCheckBoxParam].SetBoolean(false);
end;

end.
